package com.ruoyi.file.object;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class CommonAttachReq
{
    @NotBlank(message = "文件分类不能为空")
    private String bizPath;
    @NotBlank(message = "文件表名不能为空")
    private String tableName;
    @NotNull(message = "文件表ID不能为空")
    private Long   tableId;
    @NotBlank(message = "服务标识不能为空")
    private String token;

    private String fileType;
}
