package com.ruoyi.tool.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 文件对象 td_store_file
 * 
 * @author rongxin
 * @date 2023-09-06
 */
public class StoreFile extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 文件编码 */
    @Excel(name = "文件编码")
    private String bizCode;

    /** 业务类型 */
    @Excel(name = "业务类型")
    private Integer bizType;

    /** 文件类型1图片2视频 */
    @Excel(name = "文件类型1图片2视频")
    private Integer type;

    /** 域名 */
    @Excel(name = "域名")
    private String domain;

    /** 文件路径 */
    @Excel(name = "文件路径")
    private String filePath;

    /** 文件描述 */
    @Excel(name = "文件描述")
    private String description;

    /** 文件名称 */
    @Excel(name = "文件名称")
    private String fileName;

    /** 0未完成1已完成 */
    @Excel(name = "0未完成1已完成")
    private Long status;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBizCode(String bizCode) 
    {
        this.bizCode = bizCode;
    }

    public String getBizCode() 
    {
        return bizCode;
    }
    public void setBizType(Integer bizType) 
    {
        this.bizType = bizType;
    }

    public Integer getBizType() 
    {
        return bizType;
    }
    public void setType(Integer type) 
    {
        this.type = type;
    }

    public Integer getType() 
    {
        return type;
    }
    public void setDomain(String domain) 
    {
        this.domain = domain;
    }

    public String getDomain() 
    {
        return domain;
    }
    public void setFilePath(String filePath) 
    {
        this.filePath = filePath;
    }

    public String getFilePath() 
    {
        return filePath;
    }
    public void setDescription(String description) 
    {
        this.description = description;
    }

    public String getDescription() 
    {
        return description;
    }
    public void setFileName(String fileName) 
    {
        this.fileName = fileName;
    }

    public String getFileName() 
    {
        return fileName;
    }
    public void setStatus(Long status) 
    {
        this.status = status;
    }

    public Long getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("bizCode", getBizCode())
            .append("bizType", getBizType())
            .append("type", getType())
            .append("domain", getDomain())
            .append("filePath", getFilePath())
            .append("description", getDescription())
            .append("fileName", getFileName())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
