package com.ruoyi.tool.oss;
import lombok.Data;
import java.io.Serializable;

/**
 * 云存储配置信息
 *
 * @author Mark
 */
@Data
public class CloudStorageConfig implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 类型 1：阿里云
     */
    private Integer type;

    private String aliyunDomain;

    private String aliyunEndPoint;

    private String aliyunAccessKeyId;

    private String aliyunAccessKeySecret;

    private String aliyunBucketName;


}
